SCRIPTS TO BE USED TO SETUP REPORT_INCIDENT with H2 database

1) CREATE REPORT SCHEMA
************************

CREATE SCHEMA REPORT;

2) CREATE TABLES FOR REPORT SCHEMAS
***********************************

CREATE TABLE REPORT.OPENJPA_SEQUENCE_TABLE (
    ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,
    SEQUENCE_VALUE BIGINT NOT NULL
);


CREATE TABLE REPORT.T_INCIDENT (
    INCIDENT_ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,
    INCIDENT_REF VARCHAR(55),
    INCIDENT_DATE TIMESTAMP,
    GIVEN_NAME VARCHAR(35),
    FAMILY_NAME VARCHAR(35),
    SUMMARY VARCHAR(35),
    DETAILS VARCHAR(255),
    EMAIL VARCHAR(60),
    PHONE VARCHAR(35),
    CREATION_DATE TIMESTAMP,
    CREATION_USER VARCHAR(255)
);


3) INSERT RECORDS
*****************
INSERT INTO REPORT.T_INCIDENT (INCIDENT_REF, INCIDENT_DATE,GIVEN_NAME,FAMILY_NAME,SUMMARY,DETAILS,EMAIL,PHONE) VALUES ('001','2011-03-21','Charles','Moulliard','Incident Webinar-001','This is a report incident for webinar-001','cmoulliard@fusesource.com','+111 10 20 300');
INSERT INTO REPORT.T_INCIDENT (INCIDENT_REF, INCIDENT_DATE,GIVEN_NAME,FAMILY_NAME,SUMMARY,DETAILS,EMAIL,PHONE) VALUES ('002','2011-03-22','Charles','Moulliard','Incident Webinar-002','This is a report incident for webinar-002','cmoulliard@fusesource.com','+111 10 20 300');
INSERT INTO REPORT.T_INCIDENT (INCIDENT_REF, INCIDENT_DATE,GIVEN_NAME,FAMILY_NAME,SUMMARY,DETAILS,EMAIL,PHONE) VALUES ('003','2011-03-23','Charles','Moulliard','Incident Webinar-003','This is a report incident for webinar-003','cmoulliard@fusesource.com','+111 10 20 300');
INSERT INTO REPORT.T_INCIDENT (INCIDENT_REF, INCIDENT_DATE,GIVEN_NAME,FAMILY_NAME,SUMMARY,DETAILS,EMAIL,PHONE) VALUES ('004','2011-03-24','Charles','Moulliard','Incident Webinar-004','This is a report incident for webinar-004','cmoulliard@fusesource.com','+111 10 20 300');


6) Useful scripts
******************
DELETE FROM REPORT.T_INCIDENT;

SELECT * FROM REPORT.T_INCIDENT;

DROP SCHEMA REPORT;